- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Types | Static Public Member Functions

# QInternal Class Reference

Search for all occurrences

## Detailed Description

Definition at line 1800 of file qnamespace.h.

`#include <qnamespace.h>`

List of all members.

## Public Types
enum | PaintDeviceFlags { UnknownDevice = 0x00, Widget = 0x01, Pixmap = 0x02, Image = 0x03, Printer = 0x04, Picture = 0x05, Pbuffer = 0x06, FramebufferObject = 0x07, CustomRaster = 0x08, MacQuartz = 0x09, PaintBuffer = 0x0a, OpenGL = 0x0b }
enum | RelayoutType { RelayoutNormal, RelayoutDragging, RelayoutDropped }
enum | Callback { ConnectCallback, DisconnectCallback, AdoptCurrentThread, EventNotifyCallback, LastCallback }
enum | InternalFunction { CreateThreadForAdoption, RefAdoptedThread, DerefAdoptedThread, SetCurrentThreadToMainThread, SetQObjectSender, GetQObjectSender, ResetQObjectSender, LastInternalFunction }
enum | DockPosition { LeftDock, RightDock, TopDock, BottomDock, DockCount }
## Static Public Member Functions
static bool | registerCallback (Callback, qInternalCallback)
static bool | unregisterCallback (Callback, qInternalCallback)
static bool | activateCallbacks (Callback, void **)
static bool | callFunction (InternalFunction func, void **)

## Member Enumeration Documentation

enum PaintDeviceFlags

Search for all occurrences

Enumerator:

  UnknownDevice | Search for all occurrences
  Widget | Search for all occurrences
  Pixmap | Search for all occurrences
  Image | Search for all occurrences
  Printer | Search for all occurrences
  Picture | Search for all occurrences
  Pbuffer | Search for all occurrences
  FramebufferObject | Search for all occurrences
  CustomRaster | Search for all occurrences
  MacQuartz | Search for all occurrences
  PaintBuffer | Search for all occurrences
  OpenGL | Search for all occurrences

Definition at line 1802 of file qnamespace.h.

                              {
            UnknownDevice = 0x00,
            Widget        = 0x01,
            Pixmap        = 0x02,
            Image         = 0x03,
            Printer       = 0x04,
            Picture       = 0x05,
            Pbuffer       = 0x06,    // GL pbuffer
            FramebufferObject = 0x07, // GL framebuffer object
            CustomRaster  = 0x08,
            MacQuartz     = 0x09,
            PaintBuffer   = 0x0a,
            OpenGL        = 0x0b
        };

enum RelayoutType

Search for all occurrences

Enumerator:

  RelayoutNormal | Search for all occurrences
  RelayoutDragging | Search for all occurrences
  RelayoutDropped | Search for all occurrences

Definition at line 1816 of file qnamespace.h.

                          {
            RelayoutNormal,
            RelayoutDragging,
            RelayoutDropped
        };

enum Callback

Search for all occurrences

Enumerator:

  ConnectCallback | Search for all occurrences
  DisconnectCallback | Search for all occurrences
  AdoptCurrentThread | Search for all occurrences
  EventNotifyCallback | Search for all occurrences
  LastCallback | Search for all occurrences

Definition at line 1823 of file qnamespace.h.

                      {
            ConnectCallback,
            DisconnectCallback,
            AdoptCurrentThread,
            EventNotifyCallback,
            LastCallback
        };

enum InternalFunction

Search for all occurrences

Enumerator:

  CreateThreadForAdoption | Search for all occurrences
  RefAdoptedThread | Search for all occurrences
  DerefAdoptedThread | Search for all occurrences
  SetCurrentThreadToMainThread | Search for all occurrences
  SetQObjectSender | Search for all occurrences
  GetQObjectSender | Search for all occurrences
  ResetQObjectSender | Search for all occurrences
  LastInternalFunction | Search for all occurrences

Definition at line 1831 of file qnamespace.h.

                              {
            CreateThreadForAdoption,
            RefAdoptedThread,
            DerefAdoptedThread,
            SetCurrentThreadToMainThread,
            SetQObjectSender,
            GetQObjectSender,
            ResetQObjectSender,
            LastInternalFunction
        };

enum DockPosition

Search for all occurrences

Enumerator:

  LeftDock | Search for all occurrences
  RightDock | Search for all occurrences
  TopDock | Search for all occurrences
  BottomDock | Search for all occurrences
  DockCount | Search for all occurrences

Definition at line 1842 of file qnamespace.h.

                          {
            LeftDock,
            RightDock,
            TopDock,
            BottomDock,
            DockCount
        };

## Member Function Documentation

static bool registerCallback | ( | Callback | ,
|  | qInternalCallback |
| ) |  | `[static]`

Search for all occurrences

static bool unregisterCallback | ( | Callback | ,
|  | qInternalCallback |
| ) |  | `[static]`

Search for all occurrences

static bool activateCallbacks | ( | Callback | ,
|  | void ** |
| ) |  | `[static]`

Search for all occurrences

static bool callFunction | ( | InternalFunction | func,
|  | void ** |
| ) |  | `[static]`

Search for all occurrences

The documentation for this class was generated from the following file:

- QtCore/qnamespace.h

QInternal QInternal QInternal QInternal QInternal QInternal QInternal QInternal QInternal QInternal
QInternal QInternal QInternal QInternal QInternal QInternal QInternal QInternal QInternal QInternal